Skip to main content

Account Aggregator - PDF Format API

This document highlights the Account Aggregator - PDF Format API details.

API Description

Objective

The Account Aggregator - PDF API generates a PDF version of the financial information response, providing a formatted document for cases where a downloadable version is required.

API URL

https://ind-engine.thomas.hyperverge.co/v1/AAPDF

API Endpoint

AAPDF

Overview

The API is RESTful and uses standard HTTP verbs and status codes. The responses are in JSON format and you should upload all images and files as form-data through a POST request.

Method - POST

Authentication

You need a unique pair of application ID ( appId ) and application key (appKey) from HyperVerge to verify your identity for accessing the API.

ParameterMandatory or OptionalDescriptionAllowed Values
content-type MandatoryThis parameter defines the media type for the request payloadapplication/json
appId MandatoryThe application identifier shared by HyperVerge. You can find the details in the dashboard's credentials tab.This should be a unique value.
appKey MandatoryThe application key shared by HyperVerge. You can find the details in the dashboard's credentials tab.This should be a unique value.
transactionIdMandatoryA unique identifier for tracking a user journeyThis should be both unique and easily associated with the user's journey in your application(s)

Inputs

The following table outlines the parameter required in the API's request body:

ParameterMandatory or OptionalDescriptionAllowed ValuesDefault Value
consentHandleMandatoryThe unique identifier for the consent providedNot ApplicableNot Applicable
sessionIdMandatoryThe unique session identifier for the requestNot ApplicableNot Applicable

Request

The following code snippet demonstrates a standard curl request for the API:

curl --location --request POST 'https://ind-engine.thomas.hyperverge.co/v1/AAPDF' \
--header 'Content-Type: application/json' \
--header 'appId: <Enter_the_HyperVerge_appId>' \
--header 'appKey: <Enter_the_HyperVerge_appKey>' \
--header 'transactionId: <Enter_the_HyperVerge_transactionID>' \
--data '{
"consentHandle": "<Consent_Handle_From_Previous_API_Call>",
"sessionId": "<Session_ID_From_Previous_API_Call>"
}'

Success Response

The following code snippet demonstrates a success response from the API:

{
"result": {
"preSignedUrl": "--masked--"
},
"metaData": {
"requestId": "<Request_Identifier>"
},
"status": "success",
"statusCode": 200
}

Success Response Details

An error response from the API contains a failure status, with a relevant status code and error message. The following table lists all error responses:

ParameterTypeDescription
preSignedUrlstringThe pre-signed URL for accessing the requested resource
requestIdstringA unique identifier for tracking the request
statusstringThe status of the request
statusCodeintegerThe HTTP status code of the response
Was this helpful?
Ask AIBeta
Hi! How can I help?
Ask me anything about HyperVerge products, APIs, and SDKs.
Try asking: